#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.1.0
visibility:           public
id:                   http-client-restricted-0.1.0-8Fr1qkFSz6u1CNShEfMTQb
key:                  http-client-restricted-0.1.0-8Fr1qkFSz6u1CNShEfMTQb
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  9e942c3921dd99390a59ffb6e269baff
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.2.8/site-local/http-client-restricted-0.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/http-client-restricted-0.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http-client-restricted
hs-libraries:         HShttp-client-restricted-0.1.0-8Fr1qkFSz6u1CNShEfMTQb
depends:
    base-4.16.4.0 crypton-connection-0.3.2-D8hJSbjU8YHGhWdGXiYc8D
    data-default-0.7.1.1-I9kq9gy0LH5EzYc6jkZCLH
    http-client-0.7.17-JfFA6y1WjKuAOMdcSHu1vw
    http-client-tls-0.3.6.3-JtyFu7OE5xCGGGyKTcT8V
    network-3.1.4.0-LkMz5jaz64nILFk6gPuNQl
    network-bsd-2.8.1.0-LwbrNYmMMHuETpi1aOBxXl
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

